Bug 978572 - Building GCC 4.6.2 - ld: stubs don't match calculated size
Building GCC 4.6.2 - ld: stubs don't match calculated size
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils (Show other bugs)
6.4
ppc64 Linux
medium Severity urgent
: rc
: ---
Assigned To: Patsy Franklin
qe-baseos-tools
:
Depends On:
Blocks: 1023566 1056252
  Show dependency treegraph
 
Reported: 2013-06-26 16:26 EDT by Russell Harper
Modified: 2014-03-05 09:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 17:55:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harper 2013-06-26 16:26:36 EDT
Description of problem:

Trying to update gcc 4.4.7 to gcc 4.6.2.

During the build of gcc, this error occurs:

> rpmbuild -ba rpmbuild/SPECS/gcc.spec

/home/u0013225/rpmbuild/BUILD/gcc-4.6.2-20111027/obj-ppc64-redhat-linux/gcc64   -g -fkeep-inline-functions -DIN_GCC   -W -Wall -Wwrite-strings -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wmissing-format-attribute -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings -Wold-style-definition -Wc++-compat   -DHAVE_CONFIG_H  -o cc1 c-lang.o c-family/stub-objc.o attribs.o c-errors.o c-decl.o c-typeck.o c-convert.o c-aux-info.o c-objc-common.o c-parser.o tree-mudflap.o c-family/c-common.o c-family/c-cppbuiltin.o c-family/c-dump.o c-family/c-format.o c-family/c-gimplify.o c-family/c-lex.o c-family/c-omp.o c-family/c-opts.o c-family/c-pch.o c-family/c-ppoutput.o c-family/c-pragma.o c-family/c-pretty-print.o c-family/c-semantics.o c-family/c-ada-spec.o rs6000-c.o \
	  cc1-checksum.o main.o  libbackend.a ../libcpp/libcpp.a ../libdecnumber/libdecnumber.a ../libcpp/libcpp.a   ../libiberty/libiberty.a ../libdecnumber/libdecnumber.a  -lmpc -lmpfr -lgmp -ldl -rdynamic -ldl  -lz
stubs don't match calculated size
/usr/bin/ld: can not build stubs: Invalid operation
collect2: ld returned 1 exit status

There is an existing bug report Bug 728201 for Fedora 16 where this problem has been reported fixed in RPM binutils-2.21.53.0.1-2.fc16.src.rpm - that RPM was installed and built successfully.

Version-Release number of selected component (if applicable):

gcc 4.4.7 being used to build gcc 4.6.2.

How reproducible:

Unknown. I'm using a Power7 VM from IBM via their VLP.

Steps to Reproduce:

A basic summary:

1. wget -c http://mirror.optus.net/fedora/linux/releases/16/Fedora/source/SRPMS/binutils-2.21.53.0.1-2.fc16.src.rpm
2. wget -c http://mirror.optus.net/fedora/linux/releases/16/Fedora/source/SRPMS/gcc-4.6.2-1.fc16.src.rpm
3. rpm -Uvh binutils-2.21.53.0.1-2.fc16.src.rpm
4. rpm -Uvh gcc-4.6.2-1.fc16.src.rpm
5. QA_RPATHS=$[ 0x0001|0x0010 ] rpmbuild -ba ~/rpmbuild/SPECS/binutils.spec
6. rpm -Uvh ~/rpmbuild/RPMS/ppc64/binutils-*
7. rpmbuild -ba ~/rpmbuild/SPECS/gcc.spec

[At step 5, other RPMs may need to be installed, e.g. elfutils-devel elfutils-libelf-devel graphviz libmpc-devel gtk2-devel glib2-devel libart_lgpl-devel libXtst-devel libXt-devel mock createrepo pigz python-decoratortools ...]

Actual results:

Unsuccessful compilation.

stubs don't match calculated size
/usr/bin/ld: can not build stubs: Invalid operation
collect2: ld returned 1 exit status

Expected results:

Successful compilation.

Additional info:
Comment 2 Jeff Law 2014-03-04 17:55:47 EST
If I'm reading this correctly, you ran into this error using binutils-2.21.53.0.1-2 which you fetched from Fedora 16's source repository, correct?

If so, you should upgrade to a newer binutils.  2.21.53.0.1-6 was fixed in late 2011 and includes a fix for this problem.  The fix for this problem also appeared in an errata for Red Hat Enterprise Linux 6 which shipped in June 2012.

Note You need to log in before you can comment on or make changes to this bug.